Groovy 1.7.10

## groovy.lang
[Java] Interface MetaClassRegistryChangeEventListener

    public interface MetaClassRegistryChangeEventListener
    extends EventListener

A listener called whenever a constant MetaClass is set, removed or replaced.

Authors:
  Jochen Theodorou

See Also:
  MetaClassRegistry
  MetaClassRegistryChangeEvent

Method Summary
`void` | `updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)` Called when the a constant MetaClass is updated.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### updateConstantMetaClass

    public void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)

  Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.
  Parameters:
    `cmcu` - - the change event

Copyright © 2003-2010 The Codehaus. All rights reserved.